- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DAnimation
- QMorphTarget
- Qt 6.7.3 Reference Documentation

# QMorphTarget Class

class Qt3DAnimation::QMorphTarget

A class providing morph targets to blend-shape animation. More...

Header: | #include <QMorphTarget>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3danimation) target_link_libraries(mytarget PRIVATE Qt6::3danimation)
qmake: | QT += 3danimation
Instantiated By: | MorphTarget
Inherits: | QObject

- List of all members, including inherited members

## Properties

- attributeNames : const QStringList

## Public Functions

| QMorphTarget(QObject *parent = nullptr)
void | addAttribute(Qt3DCore::QAttribute *attribute)
QList<Qt3DCore::QAttribute *> | attributeList() const
QStringList | attributeNames() const
void | removeAttribute(Qt3DCore::QAttribute *attribute)
void | setAttributes(const QList<Qt3DCore::QAttribute *> &attributes)

## Signals

void | attributeNamesChanged(const QStringList &attributeNames)

## Static Public Members

Qt3DAnimation::QMorphTarget * | fromGeometry(Qt3DCore::QGeometry *geometry, const QStringList &attributes)

## Detailed Description

A Qt3DAnimation::QMorphTarget class is a convenience class, which provides a list of QAttributes, which the QMorphingAnimation uses to animate geometry. A QMorphTarget can also be created based on existing Qt3DCore::QGeometry.

## Property Documentation

### `[read-only]` attributeNames : const QStringList

Holds a list of attribute names contained in the morph target.

Access functions:

QStringList | attributeNames() const

Notifier signal:

void | attributeNamesChanged(const QStringList &attributeNames)

## Member Function Documentation

### `[explicit]` QMorphTarget::QMorphTarget(QObject *parent = nullptr)

Constructs a QMorphTarget with given parent.

### void QMorphTarget::addAttribute(Qt3DCore::QAttribute *attribute)

Adds an attribute the morph target. An attribute with the same name must not have been added previously to the morph target.

### QList<Qt3DCore::QAttribute *> QMorphTarget::attributeList() const

Returns a list of attributes contained in the morph target.

### `[static invokable]` Qt3DAnimation::QMorphTarget *QMorphTarget::fromGeometry(Qt3DCore::QGeometry *geometry, const QStringList &attributes)

Returns a morph target based on the attributes in the given geometry.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### void QMorphTarget::removeAttribute(Qt3DCore::QAttribute *attribute)

Removes an attribute from the morph target.

### void QMorphTarget::setAttributes(const QList<Qt3DCore::QAttribute *> &attributes)

Sets attributes to the morph target. Old attributes are cleared.